%{?scl:%scl_package feclipse-maven-plugin}
%{!?scl:%global pkg_name %{name}}

Name:           %{?scl_prefix}feclipse-maven-plugin
Version:        0.0.5
Release:        2%{?dist}
Summary:        Eclipse repo2runnable Maven Mojo

Group:          Development/Libraries
License:        ASL 2.0
URL:            http://maven.apache.org
Source0:        https://git.fedorahosted.org/cgit/feclipse-maven-plugin.git/snapshot/feclipse-maven-plugin-%{version}.tar.xz
BuildArch:      noarch

BuildRequires: %{?scl_prefix}mvn(org.eclipse.tycho:tycho-p2-facade) >= 0.20.0
BuildRequires: %{?maven_scl_prefix}mvn(org.apache.maven:maven-plugin-api)
BuildRequires: %{?maven_scl_prefix}mvn(junit:junit)
BuildRequires: %{?scl_prefix}mvn(org.eclipse.tycho.extras:tycho-p2-extras-plugin)
BuildRequires: %{?maven_scl_prefix}maven-local
Requires: %{?scl_prefix}mvn(org.eclipse.tycho:tycho-p2-facade)
Requires: %{?maven_scl_prefix}mvn(org.apache.maven:maven-plugin-api)
Requires: %{?maven_scl_prefix}mvn(junit:junit)
Requires: %{?scl_prefix}mvn(org.eclipse.tycho.extras:tycho-p2-extras-plugin) >= 0.20.0
Requires: %{?scl_prefix}eclipse-platform


%description
A Maven plugin that transform Eclipse P2 repository into a runnable form,
so the repository can be put into dropins folder.

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}
Requires:       %{?maven_scl_prefix}jpackage-utils

%description javadoc
API documentation for %{name}.

%prep
%setup -q  -nfeclipse-maven-plugin-0.0.5

%build
%{?scl:scl enable %{scl} - << "EOF"}
set -e -x
cd installer
%mvn_build
%{?scl:EOF}

%install
%{?scl:scl enable %{scl} - << "EOF"}
set -e -x
cd installer
%mvn_install
%{?scl:EOF}


%files -f installer/.mfiles
%dir %{_javadir}/%{pkg_name}

%files javadoc -f installer/.mfiles-javadoc


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Mar 27 2014 Alexander Kurtakov <akurtako@redhat.com> 0.0.5-1
- Update to upstream 0.0.5 release.

* Wed Oct 30 2013 Krzysztof Daniel <kdaniel@redhat.com> 0.0.4-0.1.git684bc0
- Update to tycho 0.19.0 API.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.3-0.3.gitfb5939
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 22 2013 Krzysztof Daniel <kdaniel@redhat.com> 0.0.3-0.2.gitfb5939
- Remote content.jar and artifacts.jar after the build.

* Tue Jul 16 2013 Krzysztof Daniel <kdaniel@redhat.com> 0.0.3-0.1.git85c3ca
- Update to latest snapshot.

* Thu May 9 2013 Krzysztof Daniel <kdaniel@redhat.com> 0.0.2-1
- Update to latest upstream.

* Thu May 2 2013 Krzysztof Daniel <kdaniel@redhat.com> 0.0.1-2
- Properly upload sources.

* Wed May 1 2013 Krzysztof Daniel <kdaniel@redhat.com> 0.0.1-1
- Initial import (RHBZ 958431)
